Total Access Docs
Openapi

Update a contact

PUT
/api/v1/contacts/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for REST API endpoints (user-facing apps).

Authorization: Bearer <jwt_access_token>

Tokens expire after 15 minutes. Use the refresh token to obtain a new one.

In: header

Path Parameters

id*integer

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/api/v1/contacts/0" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "success": true,  "data": {    "id": 0,    "contact_type": "customer",    "name": "string",    "email": "string",    "phone": "string",    "mobile": "string",    "address": "string",    "city": "string",    "postal_code": "string",    "country": "string",    "tax_number": "string",    "registration_number": "string",    "website": "string",    "notes": "string",    "is_active": true,    "client_id": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  }}